import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '*',
    redirect: '/404'
  },
  {
    path: '/404',
    name: '404',
    component: () => import(/* webpackChunkName: "detail" */ '../page/404')
  },
  {
    path: '/loan', // 我的申请记录
    name: 'Home',
    component: () => import(/* webpackChunkName: "home" */ '../views/home'),
    meta: {
      isUseCache: false,
      keepAlive: true
    }
  },
  {
    path: '/loan/detail', // 进度查询：贷款详情页
    name: 'Detail',
    component: () => import(/* webpackChunkName: "detail" */ '../views/detail')
  },
  {
    path: '/loan/goods', // 贷款介绍
    name: 'Goods',
    component: () => import(/* webpackChunkName: "goods" */ '../views/goods')
  },
  {
    path: '/loan/apply', // 基本信息填写
    name: 'Apply',
    component: () => import(/* webpackChunkName: "apply" */ '../views/apply')
  },
  {
    path: '/loan/attest', // 上传资料
    name: 'Attest',
    component: () => import(/* webpackChunkName: "attest" */ '../views/attest')
  },
  {
    path: '/loan/bespeak', // 预约现场办理时间
    name: 'Bespeak',
    component: () => import(/* webpackChunkName: "bespeak" */ '../views/bespeak')
  },
  {
    path: '/loan/privacy', // 隐私协议
    name: 'Privacy',
    component: () => import(/* webpackChunkName: "privacy" */ '../views/privacy')
  },
  {
    path: '/loan/agreement', // 协议
    name: 'Agreement',
    component: () => import(/* webpackChunkName: "agreement" */ '../views/agreement')
  },
  {
    path: '/loan/help', // 还款助手
    name: 'Help',
    component: () => import(/* webpackChunkName: "help" */ '../views/help')
  },
  {
    path: '/loan/about', // 了解我们
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '../views/about')
  }
]

const router = new VueRouter({
  mode: 'history',
  routes,
  scrollBehavior (to, from, savedPosition) {
    // keep-alive 返回缓存页面后记录浏览位置
    if (savedPosition && to.meta.keepAlive) {
      return savedPosition
    }
    // 异步滚动操作
    return new Promise((resolve) => {
      setTimeout(() => {
        resolve({ x: 0, y: 1 })
      }, 0)
    })
  }
})

export default router
